#
# spec file for package fillets-ng
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fillets-ng
Version:        1.0.1
Release:        5.2
Summary:        Fish Fillets - Next Generation
License:        GPL-2.0+
Group:          Amusements/Games/Action/Arcade
Url:            http://fillets.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/fillets/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch0:         %{name}-0.9.3-datadir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_ttf-devel
BuildRequires:  fribidi-devel
BuildRequires:  gcc-c++
%if 0%{?suse_version} < 1220
BuildRequires:  lua-devel
%else
BuildRequires:  lua51-devel
%endif
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
Requires:       %{name}-data = %{version}

%description
Fish Fillets is strictly a puzzle game. The goal in each of the 70
levels is always the same: find a safe way out. The fish utter witty
remarks about their surroundings and the various inhabitants of their
underwater realm quarrel among themselves or comment on the efforts of
your fish. The whole game is accompanied by quiet, comforting music.

%prep
%setup -q
%patch0

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -D -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file -i %{name}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc %{_mandir}/man6/*
%{_bindir}/fillets
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Apr 13 2015 dimstar@opensuse.org
- Add Comment to the .desktop file, allowing to be shown in
  AppStream based Software Centers.
* Mon Mar 30 2015 dimstar@opensuse.org
- Update to version 1.0.1:
  + Fixed a bug in the last levels. Fish were unable to swim to
    some places. It happened next to the room border.
* Wed Feb 15 2012 cfarrell@suse.com
- license update: GPL-2.0+
  No indication of GPL-1.0+ files. They are all GPL-2.0+ - hence no need
  for GPL-1.0 reference
* Thu Feb  9 2012 dimstar@opensuse.org
- Conditionally BuildRequire lua51-devel on openSUSE 12.2+. This
  game has not been ported to lua 5.2 yet.
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Mon Feb  7 2011 lars@linux-schulserver.de
- update to 1.0.0:
  + Disallowed a move, to be consistent with the original Fish
    Fillets. Pushing of partially supported objects is disallowed.
    The object has to be supported by wall or by a fish who isn't
    directly under it. You could switch back to the less restrictive
    rules by using "strict_rules=0" config option.
  + Provided music looping without fading
* Sat May  1 2010 cmorve69@yahoo.es
- Set the correct datadir so it works again with fillets-ng-data
* Fri Mar 12 2010 dimstar@opensuse.org
- Update to 0.9.3:
  + Fixed compilation with the newer fribidi-0.19.2
* Thu Dec 10 2009 anicka@suse.cz
- update to 0.9.2
  * Fixed undefined behavior in the last levels. The outgoing
  objects could be stopped by obstacle
  * Fixed strange background colors on the F10 and F1 screens.
  SDL-1.2.14 would fix these too.
  * Used sound frequency 44100 to prevent crackles
* Tue Jun 16 2009 prusnak@suse.cz
- updated to 0.9.0
  * Level 'linux' (by Mirek Olsak).
  * Level 'electromagnet' (by Stephan Barth).
  * Embedded intro video (thanks to Mirek Olsak).
  * Faster undo (hold -) (thanks to Mirek Olsak).
  * Redo (hold +).
  * Czech spoken dialogs for level 'keys' (thanks to Mirek Olsak).
  * Updated Bulgarian translation (by Damyan Ivanov).
  * Updated Swedish translation (by Olov Gustavsson).
  * Enhanced graphics for the NG levels (by Fank Skalicky).
* Fri Jan 23 2009 anicka@suse.cz
- update to 0.8.1
  * Two extra levels (by Stephan Barth and Mirek Olsak).
  * Added support for translated images (by Leonid Myravjev).
  * Prevented music restart on undo.
  * Fixed checking for solvable room before undo saving.
  * Fixed checking for second dead fish.
* Tue Jan 29 2008 lrupp@suse.de
- update to 0.8.0:
  + Undo (on key '-')
  + Five extra levels (by Mirek Olsak)
  + Slovenian translation (by Marko Burjek)
  + Brazilian Portuguese translation (by Ricardo Faria)
  + Russian translation
    (by Leonid Myravjev, Maria Antropova, Gregory Bonik)
* Thu Oct 25 2007 anicka@suse.cz
- fix for gcc 4.3
* Tue Jul  3 2007 anicka@suse.cz
- fix dependency on SDL_ttf-devel
* Mon Feb 19 2007 anicka@suse.cz
- update to 0.7.4
  * fixes for new version of lua
- update fixes #246724
- remove last patch (fixed in upstream)
* Thu Oct 19 2006 ro@suse.de
- fix build with current lua
* Tue Aug 15 2006 anicka@suse.cz
- add desktop file and icon (#198287)
* Thu Mar 16 2006 anicka@suse.cz
- fix dependencies (#158267)
* Mon Jan 30 2006 ro@suse.de
- added gcc-c++ to BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan  5 2006 anicka@suse.cz
- update to 0.7.3
- require fribidi
- add -ldl to LDFLAGS
* Thu Sep  8 2005 ro@suse.de
- fix configure to find liblua
* Wed Jul 20 2005 anicka@suse.cz
- update to 0.7.1
* Mon Jun 20 2005 anicka@suse.cz
- update to 0.7.0
* Wed Oct 13 2004 mcihar@suse.cz
- update to 0.6.0
- versioned dependancy on fillets-ng-data
* Thu Aug 12 2004 mcihar@suse.cz
- version 0.5.0 doesn't require boost
* Thu Aug 12 2004 mcihar@suse.cz
- update to 0.5.0
- split data to noarch package
* Wed Aug  4 2004 mcihar@suse.cz
- update to 0.4.1
* Mon May 10 2004 mcihar@suse.cz
- updated to 0.3.0:
     * game world map
     * save/load (F2/F3)
     * two new levels
     * two animated videos
     * optional controls with spacebar and arrow keys
     * How to Play manual
* Fri Apr 23 2004 mcihar@suse.cz
- initial packaging
